

org 0xF000
mov sp,#STACK
call INIT_INT_VECT_TABLE

MOV AX,#0x1
MOV BX,#0x1

CALL PRINT_16_HEX

push bx
MAIN_LOOP:
pop bx

CALL PRINT_16_HEX

push AX
ADD AX,BX

JNC MAIN_LOOP
pop bx

MOV AH,#0x02
MOV DL,#0x0a
INT #0x21

hlt
INCLUDE dos_layer.asm


.BLKB 200
STACK:
INCLUDE helpers.asm

.ORG 0xFFF0
MOV AX,#0xF000
JMP AX

